Issue 105692 - Dialog tab order for pilots from data source
Summary: Dialog tab order for pilots from data source
Status: RESOLVED FIXED
Alias: None
Product: Calc
Classification: Application
Component: editing (show other issues)
Version: OOo 3.1.1
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: 4.2.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needhelp
Depends on:
Blocks:
 
Reported: 2009-10-07 18:30 UTC by villeroy
Modified: 2015-02-01 15:35 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Patch to change the order of boxes and change Sheet to Table on Select Data Source dialog (2.64 KB, patch)
2014-01-16 11:28 UTC, hanya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description villeroy 2009-10-07 18:30:49 UTC
Data>Pilot>Start...
[X] Registered data source
Next Dialog prompts for:
1. Database where you specify the data source name
2. Data Source where you specify a named item
3. Type where you choose between the item category 
3.1 Sheet
3.2 Query
3.3 SQL
3.4 nativeSQL

3.3 and 3.4 seem to be obsolete. Nothing prompts for some SQL statement. This is
why I consider this as defect.
3.1 should be named "Table"
Whole list box 3. should be arranged before 2. since you have to select a
category "Table" or "Query" before you select a named item.
1. should be named data source
Comment 1 hanya 2014-01-16 11:28:09 UTC
Created attachment 82300 [details]
Patch to change the order of boxes and change Sheet to Table on Select Data Source dialog

The attached patch changes the following: 
> 3.1 should be named "Table"
- The order of the controls are changed.

Label "Data Source" is used for the combobox to choose an item selected in Type element.
Comment 2 SVN Robot 2015-01-30 17:41:05 UTC
"hanya" committed SVN revision 1656067 into trunk:
#i105692# rearrange the order of the controls and fix name of type
Comment 3 hanya 2015-02-01 15:35:41 UTC
Fixed on trunk.